/*
 * PostfixRankedTree.cpp
 *
 *  Created on: May 4, 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "PostfixRankedTree.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

template class tree::PostfixRankedTree < >;

namespace {

static auto components = registration::ComponentRegister < tree::PostfixRankedTree < > > ( );

static auto valuePrinter = registration::ValuePrinterRegister < tree::PostfixRankedTree < > > ( );

static auto PostfixRankedTreeFromRankedTree = registration::CastRegister < tree::PostfixRankedTree < >, tree::RankedTree < > > ( );

static auto LinearStringFromPostfixRankedTree = registration::CastRegister < string::LinearString < common::ranked_symbol < > >, tree::PostfixRankedTree < > > ( );

} /* namespace */
